﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.igChart.CompositeChart.Legends.Clear();
        DataTable dt = new DataTable();
        dt.Columns.Add("Point", typeof(string)); // label column
        dt.Columns.Add("C1", typeof(int));
        dt.Columns.Add("C2", typeof(int));
        dt.Columns.Add("C3", typeof(int));

        dt.Rows.Add(new object[] {"A", 20, 56, 43});
        dt.Rows.Add(new object[] {"B", 55, 76, 23});
        dt.Rows.Add(new object[] {"C", 31, 33, 9});
        dt.Rows.Add(new object[] {"D", 44, 97, 23});
        dt.Rows.Add(new object[] {"E", 60, 80, 60});
        
        igChart.Height = 700;
        igChart.Width = 900;

        igChart.ChartType = ChartType.Composite;
        ChartArea area = new ChartArea();
        area.Bounds = new Rectangle(area.Bounds.X, area.Bounds.Y,900, 500);
        igChart.CompositeChart.ChartAreas.Add(area);

        //xAxis - Column Chart
        AxisItem columnXAxis = new AxisItem(igChart, AxisNumber.X_Axis);
        columnXAxis.DataType = AxisDataType.String;
        columnXAxis.SetLabelAxisType = Infragistics.UltraChart.Core.Layers.SetLabelAxisType.GroupBySeries;
        columnXAxis.Labels.ItemFormat = AxisItemLabelFormat.ItemLabel;
        columnXAxis.Labels.SeriesLabels.Format = AxisSeriesLabelFormat.SeriesLabel;

        area.Axes.Add(columnXAxis);

        //xAxis - Line Chart
        AxisItem lineXAxis = new AxisItem(igChart, AxisNumber.X_Axis);
        lineXAxis.DataType = AxisDataType.String;
        lineXAxis.SetLabelAxisType = Infragistics.UltraChart.Core.Layers.SetLabelAxisType.ContinuousData;

        area.Axes.Add(lineXAxis);

        //yAxis - Numeric
        AxisItem yAxis = new AxisItem(igChart, AxisNumber.Y_Axis);
        yAxis.DataType = AxisDataType.Numeric;
        yAxis.Labels.ItemFormat = AxisItemLabelFormat.DataValue;

        area.Axes.Add(yAxis);

        NumericSeries ns1 = new NumericSeries();
        ns1.Data.DataSource = dt;
        ns1.Label = "Series 1";
        ns1.Data.ValueColumn = "C1";
        ns1.Data.LabelColumn = "Point";
        //ns1.PEs.Add(new PaintElement(Color.Red));
        igChart.CompositeChart.Series.Add(ns1);

        NumericSeries ns2 = new NumericSeries();
        ns2.Label = "Series 2";
        ns2.Data.DataSource = dt;
        ns2.Data.ValueColumn = "C2";
        ns2.Data.LabelColumn = "Point";

        igChart.CompositeChart.Series.Add(ns2);

        NumericSeries ns3 = new NumericSeries();
        ns3.Label = "Series 3";
        ns3.Data.DataSource = dt;
        ns3.Data.ValueColumn = "C3";
        ns3.Data.LabelColumn = "Point";

        igChart.CompositeChart.Series.Add(ns3);

        ChartLayerAppearance columnLayer = new ChartLayerAppearance();
        columnLayer.ChartType = ChartType.ColumnChart;
        columnLayer.AxisX = columnXAxis;
        columnLayer.AxisY = yAxis;
        columnLayer.ChartArea = area;
        columnLayer.Series.Add(ns2);
        columnLayer.Series.Add(ns3);
        columnLayer.SwapRowsAndColumns = true;
        igChart.CompositeChart.ChartLayers.Add(columnLayer);

        ChartLayerAppearance lineLayer = new ChartLayerAppearance();
        lineLayer.AxisX = lineXAxis;
        lineLayer.AxisY = yAxis;
        lineLayer.ChartArea = area;
        lineLayer.ChartType = ChartType.LineChart;
        lineLayer.Series.Add(ns1);
        igChart.CompositeChart.ChartLayers.Add(lineLayer);

        CompositeLegend myLegend = new CompositeLegend();
        myLegend.ChartLayers.Add(columnLayer);
        myLegend.ChartLayers.Add(lineLayer);        
        myLegend.Bounds = new System.Drawing.Rectangle(0, 75, 20, 25);
        myLegend.BoundsMeasureType = MeasureType.Percentage;
        myLegend.PE.ElementType = PaintElementType.Gradient;
        myLegend.PE.FillGradientStyle = GradientStyle.ForwardDiagonal;
        myLegend.PE.Fill = Color.CornflowerBlue;
        myLegend.PE.FillStopColor = Color.Transparent;
        myLegend.Border.CornerRadius = 10;
        myLegend.Border.Thickness = 0;
        igChart.CompositeChart.Legends.Add(myLegend);

    }

}